Page Summary
-
This page details how to get a specific custom bidding script using an HTTP GET request.
-
The request requires both the
customBiddingAlgorithmIdand thecustomBiddingScriptIdas path parameters. -
The request also requires either a
partnerIdor anadvertiserIdas a query parameter to identify the owner of the custom bidding algorithm. -
The request body should be empty, and a successful response will contain an instance of
CustomBiddingScript. -
Authorization requires the
https://www.googleapis.com/auth/display-videoOAuth scope.
Gets a custom bidding script.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/customBiddingAlgorithms/{customBiddingAlgorithmId}/scripts/{customBiddingScriptId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customBiddingAlgorithmId |
Required. The ID of the custom bidding algorithm owns the script. |
customBiddingScriptId |
Required. The ID of the custom bidding script to fetch. |
Query parameters
| Parameters | |
|---|---|
Union parameter accessor. Required. Identifies the DV360 entity that owns the parent custom bidding algorithm. It can be either a partner or an advertiser. accessor can be only one of the following: |
|
partnerId |
The ID of the partner that owns the parent custom bidding algorithm. Only this partner will have write access to this custom bidding script. |
advertiserId |
The ID of the advertiser that owns the parent custom bidding algorithm. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of CustomBiddingScript.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.